package com.school.project.service.department;

import com.school.project.dto.DepartmentDTO;

import java.util.List;

public interface DepartmentService {
    public DepartmentDTO saveDepartment(DepartmentDTO departmentDTO);

    public List<DepartmentDTO> readDepartment();

    public DepartmentDTO readDepartmentById(Long id);

    public DepartmentDTO updateDepartment(DepartmentDTO departmentDTO, Long id);

    public void deleteDepartmentById(Long id);

    public DepartmentDTO findDepartmentByName(String departmentName);

}
